elm::widget Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::widget Struct Reference

Class widget. More...

## Public Member Functions
| widget (Eo *eo)
| Eo Constructor. More...
| widget (std::nullptr_t)
| nullptr_t Constructor. More...
| widget (widget const &other)
| Copy Constructor.
::evas::object | newest_focus_order_get (unsigned int *newest_focus_order_, bool can_focus_only_) const
void | cursor_add (Elm_Cursor *cur_) const
void | focus_next_object_set (::evas::object next_, Elm_Focus_Direction dir_) const
::evas::object | focus_next_object_get (Elm_Focus_Direction dir_) const
void | focus_next_item_set (Elm_Object_Item *next_item_, Elm_Focus_Direction dir_) const
Elm_Object_Item * | focus_next_item_get (Elm_Focus_Direction dir_) const
void | focus_custom_chain_prepend (::evas::object child_,::evas::object relative_child_) const
::efl::eina::string_view | part_text_translate (::efl::eina::string_view part_,::efl::eina::string_view text_) const
void | focus_highlight_geometry_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
bool | activate (Elm_Activate act_) const
bool | sub_object_add (::evas::object sobj_) const
bool | event (::evas::object source_, Evas_Callback_Type type_, void *event_info_) const
void | event_callback_add (Elm_Event_Cb func_, const void *data_) const
void | access (bool acs_) const
void | cursor_del (Elm_Cursor *cur_) const
void * | event_callback_del (Elm_Event_Cb func_, const void *data_) const
bool | on_focus (Elm_Object_Item *item_) const
bool | on_focus_region (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
void | focus_cycle (Elm_Focus_Direction dir_) const
bool | focus_direction (::evas::object base_, double degree_,::evas::object *direction_, Elm_Object_Item **direction_item_, double *weight_) const
bool | event_propagate (Evas_Callback_Type type_, void *event_info_, Evas_Event_Flags *event_flags_) const
template<typename F_func_ >
void | signal_callback_add (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
::evas::object | name_find (::efl::eina::string_view name_, int recurse_) const
bool | focus_list_direction_get (::evas::object base_,::efl::eina::crange_list< ::eo::base > items_, list_data_get_func_type list_data_get_, double degree_,::evas::object *direction_, Elm_Object_Item **direction_item_, double *weight_) const
bool | focus_direction_go (double degree_) const
void | show_region_set (Evas_Coord x_, Evas_Coord y_, Evas_Coord w_, Evas_Coord h_, bool forceshow_) const
void | show_region_get (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
void | tooltip_del (Elm_Tooltip *tt_) const
bool | focus_next_get (Elm_Focus_Direction dir_,::evas::object *next_, Elm_Object_Item **next_item_) const
::efl::eina::string_view | translatable_part_text_get (::efl::eina::string_view part_) const
void | focus_steal (Elm_Object_Item *item_) const
bool | focus_next (Elm_Focus_Direction dir_,::evas::object *next_, Elm_Object_Item **next_item_) const
bool | focus_list_next_get (::efl::eina::crange_list< ::eo::base > items_, list_data_get_func_type list_data_get_, Elm_Focus_Direction dir_,::evas::object *next_, Elm_Object_Item **next_item_) const
bool | focus_direction_get (::evas::object base_, double degree_,::evas::object *direction_, Elm_Object_Item **direction_item_, double *weight_) const
void * | signal_callback_del (::efl::eina::string_view emission_,::efl::eina::string_view source_, Edje_Signal_Cb func_) const
void | signal_emit (::efl::eina::string_view emission_,::efl::eina::string_view source_) const
bool | sub_object_del (::evas::object sobj_) const
void | tooltip_add (Elm_Tooltip *tt_) const
void | focus_custom_chain_append (::evas::object child_,::evas::object relative_child_) const
| widget (::efl::eo::parent_type _p)
| Constructs a new elm::widget object. More...

## Detailed Description

Class widget.

## Constructor & Destructor Documentation

elm::widget::widget | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::widget object.

Constructs a new elm::widget object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::widget my_widget(efl::eo::parent = parent_object);

See also
  widget(Eo* eo)

elm::widget::widget | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::widget::widget | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void elm::widget::access | ( | bool | acs_ | ) | const

Parameters

  acs |

bool elm::widget::activate | ( | Elm_Activate | act_ | ) | const

Parameters

  act |

void elm::widget::cursor_add | ( | Elm_Cursor * | cur_ | ) | const

Parameters

  cur |

void elm::widget::cursor_del | ( | Elm_Cursor * | cur_ | ) | const

Parameters

  cur |

bool elm::widget::event | ( | ::evas::object | source_,
|  | Evas_Callback_Type | type_,
|  | void * | event_info_
| ) |  | const

Parameters

  source |
  type |
  event_info |

void elm::widget::event_callback_add | ( | Elm_Event_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  func |
  data |

void* elm::widget::event_callback_del | ( | Elm_Event_Cb | func_,
|  | const void * | data_
| ) |  | const

Parameters

  func |
  data |

bool elm::widget::event_propagate | ( | Evas_Callback_Type | type_,
|  | void * | event_info_,
|  | Evas_Event_Flags * | event_flags_
| ) |  | const

Parameters

  type |
  event_info |
  event_flags |

void elm::widget::focus_custom_chain_append | ( | ::evas::object | child_,
|  | ::evas::object | relative_child_
| ) |  | const

Parameters

  child |
  relative_child |

void elm::widget::focus_custom_chain_prepend | ( | ::evas::object | child_,
|  | ::evas::object | relative_child_
| ) |  | const

Parameters

  child |
  relative_child |

void elm::widget::focus_cycle | ( | Elm_Focus_Direction | dir_ | ) | const

Parameters

  dir |

bool elm::widget::focus_direction | ( | ::evas::object | base_,
|  | double | degree_,
|  | ::evas::object * | direction_,
|  | Elm_Object_Item ** | direction_item_,
|  | double * | weight_
| ) |  | const

Parameters

  | base |
  | degree |
  [out] | direction |
  [out] | direction_item |
  [out] | weight |

bool elm::widget::focus_direction_get | ( | ::evas::object | base_,
|  | double | degree_,
|  | ::evas::object * | direction_,
|  | Elm_Object_Item ** | direction_item_,
|  | double * | weight_
| ) |  | const

Parameters

  | base |
  | degree |
  [out] | direction |
  [out] | direction_item |
  [out] | weight |

bool elm::widget::focus_direction_go | ( | double | degree_ | ) | const

Parameters

  degree |

void elm::widget::focus_highlight_geometry_get | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |

bool elm::widget::focus_list_direction_get | ( | ::evas::object | base_,
|  | ::efl::eina::crange_list< ::eo::base > | items_,
|  | list_data_get_func_type | list_data_get_,
|  | double | degree_,
|  | ::evas::object * | direction_,
|  | Elm_Object_Item ** | direction_item_,
|  | double * | weight_
| ) |  | const

Parameters

  | base |
  | items |
  | list_data_get |
  | degree |
  [out] | direction |
  [out] | direction_item |
  [out] | weight |

bool elm::widget::focus_list_next_get | ( | ::efl::eina::crange_list< ::eo::base > | items_,
|  | list_data_get_func_type | list_data_get_,
|  | Elm_Focus_Direction | dir_,
|  | ::evas::object * | next_,
|  | Elm_Object_Item ** | next_item_
| ) |  | const

Parameters

  | items |
  | list_data_get |
  | dir |
  [out] | next |
  [out] | next_item |

bool elm::widget::focus_next | ( | Elm_Focus_Direction | dir_,
|  | ::evas::object * | next_,
|  | Elm_Object_Item ** | next_item_
| ) |  | const

Parameters

  | dir |
  [out] | next |
  [out] | next_item |

bool elm::widget::focus_next_get | ( | Elm_Focus_Direction | dir_,
|  | ::evas::object * | next_,
|  | Elm_Object_Item ** | next_item_
| ) |  | const

Parameters

  | dir |
  [out] | next |
  [out] | next_item |

Elm_Object_Item* elm::widget::focus_next_item_get | ( | Elm_Focus_Direction | dir_ | ) | const

Parameters

  dir |

void elm::widget::focus_next_item_set | ( | Elm_Object_Item * | next_item_,
|  | Elm_Focus_Direction | dir_
| ) |  | const

Parameters

  next_item |
  dir |

::evas::object elm::widget::focus_next_object_get | ( | Elm_Focus_Direction | dir_ | ) | const

Parameters

  dir |

void elm::widget::focus_next_object_set | ( | ::evas::object | next_,
|  | Elm_Focus_Direction | dir_
| ) |  | const

Parameters

  next |
  dir |

void elm::widget::focus_steal | ( | Elm_Object_Item * | item_ | ) | const

Parameters

  item |

::evas::object elm::widget::name_find | ( | ::efl::eina::string_view | name_,
|  | int | recurse_
| ) |  | const

Parameters

  name |
  recurse |

::evas::object elm::widget::newest_focus_order_get | ( | unsigned int * | newest_focus_order_,
|  | bool | can_focus_only_
| ) |  | const

Parameters

  [out] | newest_focus_order |
  | can_focus_only |

bool elm::widget::on_focus | ( | Elm_Object_Item * | item_ | ) | const

Parameters

  item |

bool elm::widget::on_focus_region | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Parameters

  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

::efl::eina::string_view elm::widget::part_text_translate | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Parameters

  part |
  text |

void elm::widget::show_region_get | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Parameters

  [out] | x |
  [out] | y |
  [out] | w |
  [out] | h |

void elm::widget::show_region_set | ( | Evas_Coord | x_,
|  | Evas_Coord | y_,
|  | Evas_Coord | w_,
|  | Evas_Coord | h_,
|  | bool | forceshow_
| ) |  | const

Parameters

  x |
  y |
  w |
  h |
  forceshow |

template<typename F_func_ >

void elm::widget::signal_callback_add | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | F_func_ && | func_
| ) |  | const

Parameters

  emission |
  source |
  func |
  data |

void* elm::widget::signal_callback_del | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | Edje_Signal_Cb | func_
| ) |  | const

Parameters

  emission |
  source |
  func |

void elm::widget::signal_emit | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_
| ) |  | const

Parameters

  emission |
  source |

bool elm::widget::sub_object_add | ( | ::evas::object | sobj_ | ) | const

Parameters

  sobj |

bool elm::widget::sub_object_del | ( | ::evas::object | sobj_ | ) | const

Parameters

  sobj |

void elm::widget::tooltip_add | ( | Elm_Tooltip * | tt_ | ) | const

Parameters

  tt |

void elm::widget::tooltip_del | ( | Elm_Tooltip * | tt_ | ) | const

Parameters

  tt |

::efl::eina::string_view elm::widget::translatable_part_text_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |